package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.entity.KuaiShouOcpxActionTypeConfig;
import cn.com.ctop.common.module.mapper.KuaiShouOcpxActionTypeConfigMapper;
import cn.com.ctop.common.module.service.IKuaiShouOcpxActionTypeConfigService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.common.api.vo.Result;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 转化目标字典表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-02-22
 */
@Service
public class KuaiShouOcpxActionTypeConfigServiceImpl extends ServiceImpl<KuaiShouOcpxActionTypeConfigMapper, KuaiShouOcpxActionTypeConfig> implements IKuaiShouOcpxActionTypeConfigService {

    @Override
    public Result<Object> bytedanceList() {
        JSONObject data = new JSONObject();
        List<JSONObject> conversionType = baseMapper.bytedanceList(1);
        List<JSONObject> deepConversionType = baseMapper.bytedanceList(2);
        data.put("conversionType", conversionType);
        data.put("deepConversionType", deepConversionType);
        return Result.ok(data);
    }

    @Override
    public List<JSONObject> getKSdeepList() {
        return baseMapper.getKSdeepList();
    }
}
